JUCE: RelativePointPath::QuadraticTo Class Reference

JUCE

Public Member Functions | Public Attributes | List of all members
RelativePointPath::QuadraticTo Class Reference
juce_gui_basics » positioning

Class for the quadratic to element. More...

`#include <juce_RelativePointPath.h>`

Inheritance diagram for RelativePointPath::QuadraticTo:

## Public Member Functions
| QuadraticTo (const RelativePoint &controlPoint, const RelativePoint &endPoint)
ValueTree | createTree () const
void | addToPath (Path &path, Expression::Scope *) const override
RelativePoint * | getControlPoints (int &numPoints) override
ElementBase * | clone () const override
Public Member Functions inherited from RelativePointPath::ElementBase
| ElementBase (ElementType type)
virtual | ~ElementBase ()=default
bool | isDynamic ()

## Public Attributes
RelativePoint | controlPoints [2]
Public Attributes inherited from RelativePointPath::ElementBase
const ElementType | type

## Detailed Description

Class for the quadratic to element.

## Constructor & Destructor Documentation

## ◆ QuadraticTo()

RelativePointPath::QuadraticTo::QuadraticTo | ( | const RelativePoint & | controlPoint,
|  | const RelativePoint & | endPoint
| ) |  |

## Member Function Documentation

## ◆ createTree()

ValueTree RelativePointPath::QuadraticTo::createTree | ( |  | ) | const

## ◆ addToPath()

void RelativePointPath::QuadraticTo::addToPath | ( | Path & | path,
|  | Expression::Scope * |
| ) |  | const
| overridevirtual

Implements RelativePointPath::ElementBase.

## ◆ getControlPoints()

RelativePoint * RelativePointPath::QuadraticTo::getControlPoints | ( | int & | numPoints | ) |
| overridevirtual

Implements RelativePointPath::ElementBase.

## ◆ clone()

ElementBase * RelativePointPath::QuadraticTo::clone | ( |  | ) | const
| overridevirtual

Implements RelativePointPath::ElementBase.

## Member Data Documentation

## ◆ controlPoints

RelativePoint RelativePointPath::QuadraticTo::controlPoints[2]

The documentation for this class was generated from the following file:

- juce_RelativePointPath.h